%global __requires_exclude ^perl\\(Mac::BuildTools\\)
%bcond_with optional_test

Summary:        Query, download and build perl modules from CPAN sites
Name:           perl-CPAN
Version:        2.36
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN
Source0:        https://cpan.metacpan.org/authors/id/A/AN/ANDK/CPAN-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(File::Basename) perl(File::Path) perl(Text::Wrap) perl(warnings) perl(version)
BuildRequires:  perl(strict) perl(vars) perl(File::Spec) perl(Carp) perl(constant) perl(Cwd)
BuildRequires:  perl(DirHandle) perl(Errno) perl(Exporter) perl(Fcntl) perl(File::Copy)
BuildRequires:  perl(File::Find) perl(File::Spec::Functions) perl(FileHandle) perl(if) perl(lib)
BuildRequires:  perl(overload) perl(POSIX) perl(Safe) perl(Sys::Hostname) perl(Text::ParseWords)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# For test suite
BuildRequires:  perl(autouse) perl(base) perl(CPAN::Meta::Requirements) perl(Data::Dumper)
BuildRequires:  perl(Dumpvalue) perl(Getopt::Std) perl(Net::Ping) perl(Term::ReadLine)
BuildRequires:  perl(CPAN::Meta) perl(blib) perl(FindBin) perl(Pod::Usage) perl(Test::More)
BuildRequires:  perl(Socket) perl(Pod::Perldoc::ToMan)
BuildRequires:  perl(File::Temp) >= 0.16
%if ! 0%{?perl_bootstrap}
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Pod) perl(Test::Pod::Coverage)
%if %{with optional_test}
perl(Expect) perl(YAML)
%endif
%endif
Requires:       make perl perl(CPAN::Meta::Requirements) perl(Data::Dumper)
Requires:       perl(ExtUtils::Manifest) perl(lib) perl(Net::Config) perl(Net::FTP) 
Requires:       perl(Term::ReadLine) perl(Time::Local) perl(User::pwent)
Requires:       perl(Compress::Zlib) perl(Text::Glob) perl(POSIX) perl(Dumpvalue) 
Requires:       perl(Digest::MD5) perl(Digest::SHA) perl(ExtUtils::CBuilder)
Requires:       perl(Archive::Tar) >= 1.50
Requires:       perl(File::Temp) >= 0.16
%if ! 0%{?perl_bootstrap}
Requires:       perl(Devel::Size) perl(URI) perl(URI::Escape)
Requires:       perl(Compress::Bzip2) perl(CPAN::Meta) perl(local::lib)
Requires:       perl(Module::Build) perl(Archive::Zip)
Requires:       perl(File::HomeDir) >= 0.65
Requires:       perl(IO::Socket::SSL) >= 1.56
Requires:       perl(Net::SSLeay) >= 1.49
Recommends:     perl(CPAN::DistnameInfo) perl(Term::ReadKey)
Suggests:       perl(Log::Log4perl) perl(Text::Levenshtein::Damerau::XS) perl(YAML::Syck)
%endif
Recommends:     perl(Pod::Perldoc)
Provides:       cpan = %{version}
BuildArch:      noarch

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use LWP, HTTP::Tiny, Net::FTP and certain
external download clients to fetch distributions from the net.

%prep
%autosetup -n CPAN-%{version}
rm -r ./inc/*
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes PAUSE*.pub README Todo
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.36-1
- Upgrade to upstream version 2.36
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 cunshunxia <cunshunxia@tencent.com> - 2.34-2
- build without optional tests.

* Thu May 5 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.34-1
- Initial build
